var phpjs = function() {
	var self = {};
	
	self.in_array = function(needle, haystack, argStrict) {
	    var key = '',
	        strict = !! argStrict;

	    if (strict) {
	        for (key in haystack) {
	            if (haystack[key] === needle) {
	                return true;
	            }
	        }
	    } else {
	        for (key in haystack) {
	            if (haystack[key] == needle) {
	                return true;
	            }
	        }
	    }

	    return false;
	};
	
	self.array_key_exists = function(key, search) {
	    if (!search || (search.constructor !== Array && search.constructor !== Object)) {
	        return false;
	    }
	    return key in search;
	};

	self.empty = function(mixed_var) {
	    var key;
	    if (mixed_var === "" || mixed_var === 0 || mixed_var === "0" || mixed_var === null || mixed_var === false || typeof mixed_var === 'undefined') {
	        return true;
	    }
	    if (typeof mixed_var == 'object') {
	        for (key in mixed_var) {
	            return false;
	        }
	        return true;
	    }
	    return false;
	}
	
	return self;
}

module.exports = phpjs();
